<!-- Display Posts-->
<div *ngFor="let post of posts" class="row post">
  <app-vote-button [post]="post"></app-vote-button>
  <!-- Section to Display Post Information-->
  <div class="col-md-11">
    <span class="subreddit-info">
      <span class="subreddit-text"><a class="posturl" routerLink="">{{post.subredditName}}</a></span>
      <span> . Posted by <a class="username" routerLink="/user/{{post.userName}}">{{post.userName}}</a></span>
      <span> . {{post.duration}}</span>
    </span>
    <hr/>
    <div class="post-title">
      <a class="post-name" href="{{post.url}}">{{post.postName}}</a>
    </div>
    <div>
      <p [innerHtml]="post.description" class="post-text"></p>
    </div>
    <hr/>
    <span>
      <a class="btn-comments" role="button">
        <fa-icon [icon]="faComments"></fa-icon>
        Comments({{post.commentCount}})
      </a>
      <button (click)="goToPost(post.id)" class="login">
        Read Post
      </button>
    </span>
  </div>
</div>
